Subject: Re: bug#18612: [platform-testers] Emacs pretest 24.3.94

From: Dani Moncayo <[email-masked]>
Date: Thu, 2 Oct 2014 23:07:17 +0200

On Thu, Oct 2, 2014 at 10:09 PM, Glenn Morris <[email-masked]> wrote:
> Eli Zaretskii wrote:
>
>>>      srcdir="/${srcdir:0:1}${srcdir:2}"
>>>
>>> I believe these are bash-specific variable expansions, not posix-compatible.
>>>
>>> This appears in an MINGW-related "if" block, so I guess most of the
>>> time it is not encountered.
>>
>> MinGW uses only Bash.
>
> But other platforms may still try to parse (?) those lines, even if they
> don't execute them. Presumably that explains:
>
>>> But in one instance, I got:
>>>    $ ./configure
>>>    ./configure: 3564: Syntax error: Bad substitution

To find out if that's the case here, Assaf could run the configure
script again, with this patch applied:

--- configure 2014-10-02 22:49:51.808131800 +0200
+++ configure1 2014-10-02 23:05:37.288306300 +0200
@@ -3554,6 +3554,10 @@

 if test "x$MSYSTEM" = "xMINGW32" -o "x$MSYSTEM" = "xMINGW64"
 then
+
+  $as_echo "Too bad.  This should not be executed in this system!.
\$MSYSTEM='$MSYSTEM'" >&2
+  exit 1
+
   . $srcdir/nt/mingw-cfg.site

   case $srcdir in

...and tell us whether the script aborts at that "exit 1", and if so,
the value of $MSYSTEM.

-- 
Dani Moncayo